Debian Bug report logs - #393728
dm-crypt on raid does not play nicely

version graph

Package: partman-md; Maintainer for partman-md is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-md is src:partman-md.

Reported by: Miroslav Kure <kurem@upcase.inf.upol.cz>

Date: Tue, 17 Oct 2006 15:48:52 UTC

Severity: normal

Tags: patch

Merged with 397872, 398464, 407905, 412948, 422319, 456154

Found in version 1

Fixed in version partman-md/42

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to Miroslav Kure <kurem@upcase.inf.upol.cz>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miroslav Kure <kurem@upcase.inf.upol.cz>
To: submit@bugs.debian.org
Subject: dm-crypt on raid does not play nicely
Date: Tue, 17 Oct 2006 17:35:24 +0200
Package: partman-crypto

Hi,

I installed from today's i386 netinst (20061016) with the following
setup:

/dev/hda1   16MB /boot
/dev/hda2  500MB physical volume for raid

/dev/hdb1   16MB unused
/dev/hdb2  500MB physical volume for raid

RAID 1 was created from /dev/hda2 and /dev/hdb2 and on the top of it
dm-crypt partition was created with all defaults.

After returning from "Configure encrypted volumes" the new device
md0_crypt was created as expected, but there was no "partition" inside
it to use.

I had to press enter on the md0_crypt device itself and it offered me
to create new partition table, which in turn created free space, which
then I was able to partition. (Quite surprised as I did not see this
with partman-crypto yet.) So in this free space I created two
partitions, 400 MB for / and the rest (~91 MB) for /home.

The installation then proceeded like usual, but after the reboot to
the real system

  Begin: Loading MD modules ...
  md: driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
  md: bitmap version 4.39
  md: raid1 personality registered for level 1
  Success: loaded module raid1.
  Done.
  Begin: Assembling all MD arrays ...
  md: md0 stopped.
  md: bind<hdb2>
  md: bind<hda2>
  raid1: raid set md0 active with 2 out of 2 mirrors
  mdadm: /dev/md0 has been started with 2 drives.
  Success: assembled all arrays.
  No cryptoroot configured, skipping
  Done.
  Begin: Waiting for root file system... ...
  _

The boot was stuck at that point, but after a while it continued:

  Done.
         Check root= bootarg cat /proc/cmdline
	 or mirring modules, devices: cat /proc/modules ls /dev
  ALERT! /dev/mapper/md0_crypt does not exist. Dropping to a shell!


-- 
Miroslav Kure



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 393728@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: Miroslav Kure <kurem@upcase.inf.upol.cz>, 393728@bugs.debian.org
Subject: Re: Bug#393728: dm-crypt on raid does not play nicely
Date: Tue, 17 Oct 2006 20:47:37 +0200
On Tue, Oct 17, 2006 at 05:35:24PM +0200, Miroslav Kure wrote:
>The installation then proceeded like usual, but after the reboot to
>the real system
>
>  Begin: Loading MD modules ...
>  md: driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
>  md: bitmap version 4.39
>  md: raid1 personality registered for level 1
>  Success: loaded module raid1.
>  Done.
>  Begin: Assembling all MD arrays ...
>  md: md0 stopped.
>  md: bind<hdb2>
>  md: bind<hda2>
>  raid1: raid set md0 active with 2 out of 2 mirrors
>  mdadm: /dev/md0 has been started with 2 drives.
>  Success: assembled all arrays.
>  No cryptoroot configured, skipping
>  Done.
>  Begin: Waiting for root file system... ...
>  _
>
>The boot was stuck at that point, but after a while it continued:
>
>  Done.
>         Check root= bootarg cat /proc/cmdline
>	 or mirring modules, devices: cat /proc/modules ls /dev
>  ALERT! /dev/mapper/md0_crypt does not exist. Dropping to a shell!

Could you post the contents of /conf/conf.d/cryptroot in the initramfs 
image? (boot with the "break" argument and you'll be dropped into a 
shell so you can inspect the contents of the initramfs image).

-- 
David Härdeman



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to Miroslav Kure <kurem@upcase.inf.upol.cz>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 393728@bugs.debian.org (full text, mbox):

From: Miroslav Kure <kurem@upcase.inf.upol.cz>
To: David Härdeman <david@hardeman.nu>, 393728@bugs.debian.org
Subject: Re: Bug#393728: dm-crypt on raid does not play nicely
Date: Tue, 17 Oct 2006 22:18:58 +0200
On Tue, Oct 17, 2006 at 08:47:37PM +0200, David Härdeman wrote:
> 
> Could you post the contents of /conf/conf.d/cryptroot in the initramfs 
> image? (boot with the "break" argument and you'll be dropped into a 
> shell so you can inspect the contents of the initramfs image).

Um, the directory /conf/conf.d is empty.

As I had already different setup on the machine, I had to reinstall
with the above mentioned configuration so I made several screenshots
of partman on http://www.debian.cz/~kurem/shots/.

As can be seen, both partitions are referred to as md0_crypt.
Indeed, it is can be confirmed on the vt2 of the installer:

# mount
/dev/mapper/md0_crypt on /target type ext3 (rw,data=ordered)
/dev/mapper/md0_crypt on /target/home type ext3 (rw,data=ordered)
...

# cat /target/etc/fstab
/dev/mapper/md0_crypt /     ext3 defaults,errors=remount-ro 0 1
/dev/mapper/md0_crypt /home ext3 defaults                   0 0
....

-- 
Miroslav Kure



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to Max Vozeler <max@nusquama.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 393728@bugs.debian.org (full text, mbox):

From: Max Vozeler <max@nusquama.org>
To: Miroslav Kure <kurem@upcase.inf.upol.cz>, 393728@bugs.debian.org
Subject: Re: Bug#393728: dm-crypt on raid does not play nicely
Date: Wed, 18 Oct 2006 15:25:51 +0200
Hi all,

On Tue, Oct 17, 2006 at 05:35:24PM +0200, Miroslav Kure wrote:
> I installed from today's i386 netinst (20061016) with the following
> setup:
> 
> /dev/hda1   16MB /boot
> /dev/hda2  500MB physical volume for raid
> 
> /dev/hdb1   16MB unused
> /dev/hdb2  500MB physical volume for raid
> 
> RAID 1 was created from /dev/hda2 and /dev/hdb2 and on the top of it
> dm-crypt partition was created with all defaults.
> 
> After returning from "Configure encrypted volumes" the new device
> md0_crypt was created as expected, but there was no "partition" inside
> it to use.
> 
> I had to press enter on the md0_crypt device itself and it offered me
> to create new partition table, which in turn created free space, which
> then I was able to partition. (Quite surprised as I did not see this
> with partman-crypto yet.) 

I think I've tracked down at least part of the problem.

When you select "Configure encrypted volumes", partman-crypto creates
the dm-crypt mapping, creates a crypt_active file inside the partman
directory of /dev/md0 and goes to restart partman. Normally the partman
device directories are then restored in init.d/30parted, but /dev/md*
are explicitly excluded from it.

The directories for /dev/md* are instead recreated from scratch in
init.d/31md-devices. This looses all settings stored in the directory,
including the method and crypt_active files, which serve as indicator
for init.d/51crypto that it needs to create a partman disk along with a
"loop"-type partition table on it. Instead, it just ignores the device
and leaves "detecting" it to partman.

Since there is no existing partition table, partman asks to create a
new one. Unless you selected a "loop"-type partition table, this can in
turn allow to create multiple partitions on the dm-crypt device - which
I think is not actually possible to do with plain dm-crypt devices
(without LVM, that is). So I think this at least explains why partman
allowed but handled this setup incorrectly.

I'm not sure how we can fix this, though. The current way -md works
is to recreate partman devices on each restart, while -crypto relies 
on them being restored. Changing this, I think, implies fundamental
changes to either -dm or -crypto, which is probably out of scope for 
the moment, at least before the etch release.

For the moment, I actually think it would be best to not offer
crypto-on-dm setups to prevent this problem. 

cheers,
Max



Forcibly Merged 393728 397872. Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 393728 397872 398464. Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 393728@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 393728@bugs.debian.org
Cc: max@nusquama.org, mario.schubert@eran.de
Subject: partman-md patch to allow crypto-on-raid
Date: Wed, 15 Nov 2006 00:52:12 +0100
reassign 393728 partman-md 1
tags 393728 +patch
thanks

The attached patch changes partman-md to keep the settings of the md 
partitions when partman restarts which is enough to allow crypto-on-raid 
setups to work again, thus fixing #393728, #397872 and #398464.

In order to minimize the impact of the patch this close to the Etch 
release, I've implemented it so that most of it only applies when the 
md-device is used for crypto.

Tested with crypto-on-md and with regular fs-on-md.

Would it be ok to commit this?

-- 
David Härdeman



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-crypto. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 393728@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 393728@bugs.debian.org
Cc: max@nusquama.org, mario.schubert@eran.de
Subject: partman-md patch to allow crypto-on-raid
Date: Wed, 15 Nov 2006 00:53:38 +0100
[Message part 1 (text/plain, inline)]
I wrote:
> The attached patch changes partman-md to keep the settings of the md 
> partitions when partman restarts which is enough to allow crypto-on-raid 
> setups to work again, thus fixing #393728, #397872 and #398464.
> 
> In order to minimize the impact of the patch this close to the Etch 
> release, I've implemented it so that most of it only applies when the 
> md-device is used for crypto.
> 
> Tested with crypto-on-md and with regular fs-on-md.
> 
> Would it be ok to commit this?

And this time...with patch included :)

-- 
David Härdeman
[partman-md-keep-settings.patch (text/plain, inline)]
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 42618)
+++ debian/changelog	(working copy)
@@ -1,3 +1,11 @@
+partman-md (31) UNRELEASED; urgency=low
+
+  * Make sure that settings are not reset during partman init stage if
+    the device is used as a crypto volume.
+    Closes: #393728, #397872, #398464.
+
+ -- David Härdeman <david@hardeman.nu>  Tue, 14 Nov 2006 23:02:30 +0100
+
 partman-md (30) unstable; urgency=low
 
   [ Colin Watson ]
Index: init.d/md-devices
===================================================================
--- init.d/md-devices	(revision 42618)
+++ init.d/md-devices	(working copy)
@@ -27,7 +27,14 @@
 	   sed -e 's/^\(md.*\) : active \([[:alnum:]]*\).*/\1/'); do
 	NUMBER=$(echo ${i}|sed -e "s/^md//")
 	DEVICE="/var/lib/partman/devices/=dev=md=${NUMBER}"
-	mkdir -p ${DEVICE}
+	OLDDEVICE="/var/lib/partman/old_devices/=dev=md=${NUMBER}"
+
+	if [ -d "$OLDDEVICE" ]; then
+		mv "$OLDDEVICE" "$DEVICE"
+	else
+		mkdir -p ${DEVICE}
+	fi
+
 	cd ${DEVICE}
 	echo "/dev/md/${NUMBER}" > ${DEVICE}/device
 
@@ -54,6 +61,12 @@
 		fi
 	fi
 
+	if [ -e "$DEVICE/method" ] && [ "$(cat "$DEVICE/method")" = "crypto" ]; then
+		open_dialog DISK_UNCHANGED
+		close_dialog
+		continue
+	fi
+
 	open_dialog NEW_LABEL loop
 	close_dialog
 

Bug reassigned from package `partman-crypto' to `partman-md'. Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 393728@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: David Härdeman <david@hardeman.nu>, 393728@bugs.debian.org
Cc: max@nusquama.org, mario.schubert@eran.de
Subject: Re: Bug#393728: partman-md patch to allow crypto-on-raid
Date: Thu, 16 Nov 2006 17:07:25 -0500
[Message part 1 (text/plain, inline)]
David Härdeman wrote:
> The attached patch changes partman-md to keep the settings of the md 
> partitions when partman restarts which is enough to allow crypto-on-raid 
> setups to work again, thus fixing #393728, #397872 and #398464.

You forgot the attachment..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 393728@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: "Joey Hess" <joeyh@debian.org>
Cc: 393728@bugs.debian.org, max@nusquama.org, mario.schubert@eran.de
Subject: Re: Bug#393728: partman-md patch to allow crypto-on-raid
Date: Fri, 17 Nov 2006 08:57:25 +0100 (CET)
On Thu, November 16, 2006 23:07, Joey Hess said:
> David Härdeman wrote:
>> The attached patch changes partman-md to keep the settings of the md
>> partitions when partman restarts which is enough to allow crypto-on-raid
>> setups to work again, thus fixing #393728, #397872 and #398464.
>
> You forgot the attachment..
>

Initially yes, but I sent a followup including the patch one minute
later...you'll find the patch in the logs for #393728

-- 
David Härdeman




Forcibly Merged 393728 397872 398464 407905. Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to "Csillag Kristof" <Csillag.Kristof.ext@united-consult.hu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 393728@bugs.debian.org (full text, mbox):

From: "Csillag Kristof" <Csillag.Kristof.ext@united-consult.hu>
To: <393728@bugs.debian.org>, <407905@bugs.debian.org>
Subject: What about the proposed patch?
Date: Mon, 29 Jan 2007 09:18:32 +0100
[Message part 1 (text/plain, inline)]
Hi there!

Could someone please tell me what happened to the patch that David Härdeman proposed
for #393728, which was supposed to fix #393728, #397872 and #398464, and all the
duplicates?

From #407905 it seems that the problem is still present in the 2007-jan-15 build.

If the patch is correct and adequate, will it be merged in the near future?

(Since in #407905 Davin again states that problem "requires changes of
a magnitude which make them unsuitable to add before the upcoming d-i Etch release",
I doubt this, but then, what's about the patch?)

  * * *

Also, could someone affirm that the beta3 images don't have this bug?
And what about RC1?

Best wishes:


    Kristof Csillag
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 393728@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 407905@bugs.debian.org, 393728@bugs.debian.org
Cc: Csillag Kristof <Csillag.Kristof.ext@united-consult.hu>
Subject: Re: Bug#407905: What about the proposed patch?
Date: Mon, 29 Jan 2007 09:47:57 +0100
On Monday 29 January 2007 09:18, Csillag Kristof wrote:
> If the patch is correct and adequate, will it be merged in the near
> future?

It will certainly not be merged before the release of Etch. I think the 
comments in the bug reports are very clear about this.
You already quote the reason yourself:

> (Since in #407905 Davin again states that problem "requires changes of
> a magnitude which make them unsuitable to add before the upcoming d-i
> Etch release", I doubt this, but then, what's about the patch?)

> Also, could someone affirm that the beta3 images don't have this bug?
> And what about RC1?

As the patch has not been merged, both beta3 and RC1 (and the upcoming RC2 
and the official Etch release) _do_ have this bug.
The issue will be listed in the errata.

Cheers,
FJP



Forcibly Merged 393728 397872 398464 407905 412948. Request was from David Härdeman <david@hardeman.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 393728 397872 398464 407905 412948 422319. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 05 May 2007 15:39:19 GMT) Full text and rfc822 format available.

Forcibly Merged 393728 397872 398464 407905 412948 422319 456154. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Fri, 14 Dec 2007 17:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to Jerome Despatis <jerome@despatis.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 393728@bugs.debian.org (full text, mbox):

From: Jerome Despatis <jerome@despatis.com>
To: 393728@bugs.debian.org
Subject: is bug resolved in lenny
Date: Fri, 01 Feb 2008 00:44:48 +0100
Hi

I have this bug with a fresh etch install today

Is this bug resolved in lenny ?

Thanks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to 393728@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 393728@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Jerome Despatis <jerome@despatis.com>, 393728@bugs.debian.org
Subject: Re: Bug#393728 dm-crypt on raid does not play nicely
Date: Fri, 1 Feb 2008 23:17:56 +0100
On Friday 01 February 2008, Jerome Despatis wrote:
> I have this bug with a fresh etch install today
>
> Is this bug resolved in lenny ?

AFAIK it is not.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to 393728@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 393728@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 393728@bugs.debian.org
Cc: Jerome Despatis <jerome@despatis.com>
Subject: Re: Bug#393728 dm-crypt on raid does not play nicely
Date: Fri, 1 Feb 2008 23:21:22 +0100
On Friday 01 February 2008, Frans Pop wrote:
> On Friday 01 February 2008, Jerome Despatis wrote:
> > I have this bug with a fresh etch install today
> >
> > Is this bug resolved in lenny ?
>
> AFAIK it is not.

See this page for additional information and workaround:
http://wiki.debian.org/DebianInstaller/RAIDvsCrypto




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#393728; Package partman-md. Full text and rfc822 format available.

Acknowledgement sent to Markus Schaber <debianbugs@schabi.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #86 received at 393728@bugs.debian.org (full text, mbox):

From: Markus Schaber <debianbugs@schabi.de>
To: 393728@bugs.debian.org
Subject: Any progress here?
Date: Wed, 9 Apr 2008 02:08:41 +0200
Hi, all,

Is there any progress regarding this bug?

It's open since more than one year now, and there is a patch.

And it has just cost me more than 12 installation tries with various
debian and ubuntu images (and 5 CD-Rs) until I found this bug report,
and the workaround. :-(

Thanks,
Markus




Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miroslav Kure <kurem@upcase.inf.upol.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #91 received at 393728-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 393728-close@bugs.debian.org
Subject: Bug#393728: fixed in partman-md 42
Date: Tue, 05 Aug 2008 17:17:02 +0000
Source: partman-md
Source-Version: 42

We believe that the bug you reported is fixed in the latest version of
partman-md, which is due to be installed in the Debian FTP archive:

partman-md_42.dsc
  to pool/main/p/partman-md/partman-md_42.dsc
partman-md_42.tar.gz
  to pool/main/p/partman-md/partman-md_42.tar.gz
partman-md_42_all.udeb
  to pool/main/p/partman-md/partman-md_42_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated partman-md package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 14:01:00 -0300
Source: partman-md
Binary: partman-md
Architecture: source all
Version: 42
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 partman-md - Add to partman support for MD (udeb)
Closes: 391474 391479 391483 393728 398668
Changes: 
 partman-md (42) unstable; urgency=low
 .
   [ Jérémy Bobbio ]
   * Clean up the initialization of MD devices.  Together with the changes
     introduced in partman-base (>= 124), setup of RAID devices won't be lost
     across partman restarts anymore.
     (Closes: #391479, #391483, #393728, #398668)
   * Load the necessary modules and scan RAID arrays during partman
     initialization.  (Closes: #391474)
   * Add device_remove_md() in lib/md-remove.sh: it is necessary to allow
     proper removal of MD devices when we create a new label on a disk
     (for example, during automatic partitioning).
 .
   [ Updated translations ]
   * Arabic (ar.po) by Ossama M. Khayat
   * Belarusian (be.po) by Pavel Piatruk
   * Bulgarian (bg.po) by Damyan Ivanov
   * Czech (cs.po) by Miroslav Kure
   * German (de.po) by Jens Seidel
   * Dzongkha (dz.po) by Tenzin Dendup
   * Esperanto (eo.po) by Felipe Castro
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * Basque (eu.po) by Piarres Beobide
   * Finnish (fi.po) by Esko Arajärvi
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Jacobo Tarrio
   * Gujarati (gu.po) by Kartik Mistry
   * Croatian (hr.po) by Josip Rodin
   * Indonesian (id.po) by Arief S Fitrianto
   * Italian (it.po) by Milo Casagrande
   * Japanese (ja.po) by Kenshi Muto
   * Korean (ko.po) by Changwoo Ryu
   * Lithuanian (lt.po) by Kęstutis Biliūnas
   * Malayalam (ml.po) by Praveen|പ്രവീണണ്‍ A|എ
   * Marathi (mr.po) by Sampada
   * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
   * Dutch (nl.po) by Frans Pop
   * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
   * Portuguese (pt.po) by Miguel Figueiredo
   * Romanian (ro.po) by Eddy Petrișor
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Ivan Masár
   * Slovenian (sl.po) by Matej Kovacic
   * Swedish (sv.po) by Daniel Nylander
   * Thai (th.po) by Theppitak Karoonboonyanan
   * Tagalog (tl.po) by Eric Pareja
   * Turkish (tr.po) by Mert Dirik
   * Vietnamese (vi.po) by Clytie Siddall
   * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
   * Simplified Chinese (zh_CN.po) by Kov Chai
Checksums-Sha1: 
 770749f26037a6d1ad2df646c87fd0512c9e855a 827 partman-md_42.dsc
 8ec5cbce3911730f6adc306ce50ef743371ef0ea 57654 partman-md_42.tar.gz
 d0ced36ad2a86103020551a42009086302c6a97e 33210 partman-md_42_all.udeb
Checksums-Sha256: 
 c3730404a20f8f37a1a44c34ec8934701a5bc2740fb5e472e00f8e2996662c91 827 partman-md_42.dsc
 8ce19e4ce278dde73a09f511bfff7659fff5e2642da97f44f678233df0bdd5c1 57654 partman-md_42.tar.gz
 33d69590e7b3232146014872e6e6cbd46f0b13091a92a255fdcba9779926928b 33210 partman-md_42_all.udeb
Files: 
 df412e7bbc176d10e3b19a28b80a162a 827 debian-installer standard partman-md_42.dsc
 c6e25adab9e425eb5bd50d51a19cba45 57654 debian-installer standard partman-md_42.tar.gz
 51c4e5ce28dc2d6da0884a23cb801afe 33210 debian-installer standard partman-md_42_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiYh2MACgkQLqiZQEml+FVlPwCdHcoC67X2oI+ZXWnUhu1VR8rV
WbgAmwfr6qDk+2yr9vmLrWjH+emXvGZa
=JK4F
-----END PGP SIGNATURE-----





Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Paul <mike@wyzardry.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mario Schubert <mario.schubert@eran.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Lemmen <robertle@semistable.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to john@interflora.com.au:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas.Gerlich@in-ulm.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <Torsten.Neumann@dlh.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Oct 2008 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:58:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.